# RPM specfile for gnapster module
# Generated Thu Nov 15 16:48:46 2001 GMT by Ximian build system
# $Id: bb_do,v 1.147 2001/10/29 23:07:45 jacob Exp $
# from $Id: ximian-build.conf,v 1.22 2001/10/09 14:14:11 dobey Exp $

%define nam	gnapster
%define ver	1.5.0

Name:     	gnapster
Version: 	1.5.0
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://jasta.gotlinux.org/gnapster.html
Source0:	gnapster-1.5.0.tar.gz
Patch0:		gnapster-install-dot-desktop.patch
Summary:	GTK client for the Napster online mp3 community (GNOME version)
Group:		Applications/System
Requires:	gnome-libs >= 1.2.0

%description
Gnapster is a powerful client for the Napster online mp3 community. Currently,
Gnapster supports all major features of the protocol in
cluding many opennap
extensions to the protocol.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
/opt/gnome/bin/gnapster
/opt/gnome/share/gnapster/
/opt/gnome/share/gnome/apps/Internet/gnapster.desktop
/opt/gnome/share/locale/*
/opt/gnome/share/pixmaps/gnapster.png


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnapster-1.5.0
    ;;
all)
%setup  -q -n gnapster-1.5.0
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    automake; autoconf; ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
